Debian Bug report logs - #222384
mason: Mason does not setup /etc/rc.* links

version graph

Package: mason; Maintainer for mason is Thomas Scheffczyk <thomas.scheffczyk@uni-mainz.de>; Source for mason is src:mason.

Reported by: Christoph Martin <martin@uni-mainz.de>

Date: Fri, 28 Nov 2003 13:33:03 UTC

Severity: grave

Tags: patch, sarge

Found in version 1.0.0-2

Fixed in versions mason/1.0.0-3, mason/1.0.0-2.2

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>:
Bug#222384; Package mason. Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@uni-mainz.de>:
New Bug report received and forwarded. Copy sent to Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@uni-mainz.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mason: Mason does not setup /etc/rc.* links
Date: Fri, 28 Nov 2003 14:26:10 +0100
Package: mason
Version: 1.0.0-2
Severity: important

The postinst script seams to contain two concatenated scripts
which both end with a exit 0 statement. So the second part is not 
executed. In the second part is the code to setup the init.d 
links on configure which don't get executed this way

Christoph

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux lucy 2.4.20 #1 SMP Fri May 9 15:09:57 MEST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages mason depends on:
ii  bash                          2.05a-11   The GNU Bourne Again SHell
ii  debconf                       1.0.32     Debian configuration management sy




Reply sent to Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Martin <martin@uni-mainz.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 222384-close@bugs.debian.org (full text, mbox):

From: Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>
To: 222384-close@bugs.debian.org
Subject: Bug#222384: fixed in mason 1.0.0-3
Date: Wed, 29 Jun 2005 04:47:57 -0400
Source: mason
Source-Version: 1.0.0-3

We believe that the bug you reported is fixed in the latest version of
mason, which is due to be installed in the Debian FTP archive:

mason_1.0.0-3.diff.gz
  to pool/main/m/mason/mason_1.0.0-3.diff.gz
mason_1.0.0-3.dsc
  to pool/main/m/mason/mason_1.0.0-3.dsc
mason_1.0.0-3_all.deb
  to pool/main/m/mason/mason_1.0.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 222384@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de> (supplier of updated mason package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 24 Jun 2005 11:41:10 +0200
Source: mason
Binary: mason
Architecture: source all
Version: 1.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>
Changed-By: Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>
Description: 
 mason      - Interactively creates a Linux packet filtering firewall.
Closes: 222384 250264 301321 312752
Changes: 
 mason (1.0.0-3) unstable; urgency=low
 .
   * Incorporated NMU changes (Thanks to Lucas Wall) (closes: #250264,
     #301321)
   * fix postinst to correctly install startup links (closes: #222384)
   * upgrade to policy 3.6.1.0
   * Added Vietnamese debconf template translation (Thanks to Clytie
     Siddall) (closes: #312752)
Files: 
 328b4c36b4f52718ff47df0d4b8db449 602 net extra mason_1.0.0-3.dsc
 f379575eedc36f1f4e1274767444cacb 8349 net extra mason_1.0.0-3.diff.gz
 2207fe8c8ee7d321568a6856ffb77870 461316 net extra mason_1.0.0-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCwk49ICWLj6LjFjIRAtzUAKCskG8L7aLYHZkEtK/doesDQkAabACcDYnz
rPiP8Cg9GaLwDva0pqZs6vM=
=3/VC
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Christoph Martin <martin@uni-mainz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Christoph Martin <martin@uni-mainz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: security Request was from Christoph Martin <martin@uni-mainz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Christoph Martin <martin@uni-mainz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Christoph Martin <martin@uni-mainz.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: security Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>:
Bug#222384; Package mason. Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@verwaltung.uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>. Full text and rfc822 format available.

Message #27 received at 222384@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@verwaltung.uni-mainz.de>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 222384@bugs.debian.org
Subject: Re: Processed: Not security related
Date: Wed, 28 Sep 2005 10:05:11 +0200
[Message part 1 (text/plain, inline)]
Hi Moritz,

Debian Bug Tracking System schrieb:
> Processing commands for control@bugs.debian.org:
> 
> 
>>tags 222384 - security
> 
> Bug#222384: mason: Mason does not setup /etc/rc.* links
> Tags were: patch sarge security
> Tags removed: security
> 

Can you please comment on your decission. Why do you think this is not
security related? The bug leaves the user after a reboot without
activated firewall. This is clearly a big security risk.

Christoph

-- 
============================================================================
Christoph Martin, Leiter der EDV der Verwaltung, Uni-Mainz, Germany
 Internet-Mail:  Christoph.Martin@Uni-Mainz.DE
  Telefon: +49-6131-3926337
      Fax: +49-6131-3922856
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>:
Bug#222384; Package mason. Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@verwaltung.uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>. Full text and rfc822 format available.

Message #32 received at 222384@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@verwaltung.uni-mainz.de>
To: contral@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 222384@bugs.debian.org
Subject: Re: Processed: Not security related
Date: Thu, 29 Sep 2005 14:01:17 +0200
[Message part 1 (text/plain, inline)]
tags 222384 + security
thanks

The removal of the security tag seams to be a mistake. There was no
explanation in the mail and I got no answer on my question about it. The
problem is clearly security related.

Christoph

Debian Bug Tracking System schrieb:
> Processing commands for control@bugs.debian.org:
> 
> 
>>tags 222384 - security
> 
> Bug#222384: mason: Mason does not setup /etc/rc.* links
> Tags were: patch sarge security
> Tags removed: security
> 
> 
>>thanks
> 
> Stopping processing here.
> 
> Please contact me if you need assistance.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)

-- 
============================================================================
Christoph Martin, Leiter der EDV der Verwaltung, Uni-Mainz, Germany
 Internet-Mail:  Christoph.Martin@Uni-Mainz.DE
  Telefon: +49-6131-3926337
      Fax: +49-6131-3922856
[signature.asc (application/pgp-signature, attachment)]

Bug marked as fixed in version 1.0.0-3, send any further explanations to Christoph Martin <martin@uni-mainz.de> Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 1.0.0-2.2, send any further explanations to Christoph Martin <martin@uni-mainz.de> Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Christoph Martin <martin@uni-mainz.de>:
Bug#222384. Full text and rfc822 format available.

Message #39 received at 222384-submitter@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 222384-submitter@bugs.debian.org
Subject: Hmm, closing
Date: Thu, 13 Oct 2005 21:01:30 +0200
close 222384 1.0.0-3
close 222384 1.0.0-2.2
thanks

Closing this bug for the sake of version tracking. Not sure if the above
will work correctly, though... Let's find out.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:24:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.